package com.palmnest.dao.dinner;

import java.util.List;
import java.util.Map;

import com.palmnest.application.bean.Page;
import com.palmnest.application.dto.input.MealSearchDto;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.dinner.Meal;

/**
 * 餐品DAO接口类
 *
 * @author longmeizhen
 */
public interface MealDao extends GenericDao<Meal, Long> {
	/**
	 * 获取餐品列表
	 *
	 * @param dto
	 * @return
	 */
	Page findList(MealSearchDto dto);

	/**
	 * 获取餐品列表
	 * （获取当天且是上架的餐品）
	 *
	 * @param orgId
	 * @return
	 */
	List<Meal> findMealList(String orgId);

	/**
	 * 获取餐品列表
	 * （获取当天且是上架的餐品）
	 *
	 * @param orgId
	 * @param time
	 * @return
	 */
	List<Meal> findMealList(String orgId, String time);

	/**
	 * 根据餐品名获取对应的模板
	 *
	 * @param orgId
	 * @param mealCodeId
	 * @return
	 */
	List<Meal> findMealByMealCodeId(String orgId, String mealCodeId, String mealCodeOrgId);

	/**
	 * 获取餐品列表
	 * （获取当天且是上架的餐品）
	 *
	 * @param orgId
	 * @param time
	 * @return
	 */
	List<Meal> getMealList(String orgId, String time);

	List<Map<String,Object>> getMealDate(Integer orgId);

	String getNextMealDate(Integer orgId,String date , int type);
}
